CREATE INDEX EST00630_FK ON ITPRODPROCESSA (CDPRODUTO ASC)
/

ALTER TABLE ITPRODPROCESSA ADD CONSTRAINT FKEST00630ITPRODPROCESSA FOREIGN KEY (CDPRODUTO)
	REFERENCES PRODPROCESSA (CDPRODUTO) ON DELETE CASCADE
/

CREATE TABLE LANCPROCESSA
(
    DTLANCPROCESSA  DATE 			NOT NULL,
    CDFILIAL        VARCHAR2(4) 	NOT NULL,
    NRLANCPROCESSA  VARCHAR2(10) 	NOT NULL,
    CDPRODUTO       VARCHAR2(10) 	NOT NULL,
    QTLANCPROCESSA  FLOAT,
    VRUNITLANC      FLOAT,
    VRTOTALLANC     FLOAT,
    NRORG           NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    IDATIVO         VARCHAR2(1)     DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_LANCPROCESSA CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO      DATE 			DEFAULT SYSDATE,
    DTULTATU        DATE 			DEFAULT SYSDATE,
    NRORGINCLUSAO   NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
    CDOPERINCLUSAO  VARCHAR2(12) 	DEFAULT '1',
    NRORGULTATU     NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
    CDOPERULTATU    VARCHAR2(12)	DEFAULT '1',
    NRLANCESTQENTR  VARCHAR2(10),
    NRLANCESTQSAID  VARCHAR2(10),
		CONSTRAINT PK_LANCPROCESSA PRIMARY KEY (CDFILIAL, NRLANCPROCESSA)
)
/

CREATE TABLE ITLANCPROCESSA
(
    CDFILIAL            VARCHAR2(4) 	NOT NULL,
    NRLANCPROCESSA      VARCHAR2(10) 	NOT NULL,
    CDPRODUTO           VARCHAR2(10) 	NOT NULL,
    VRPROPVALOR         FLOAT 			NULL,
    VRPROPQUANTIDADE    FLOAT 			NULL,
    QTITPROCESSA        FLOAT,
    VRUNITITPROCESSA    FLOAT,
    VRTOTITPROCESSA     FLOAT,
    NRORG               NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NOT NULL,
    IDATIVO             VARCHAR2(1)     DEFAULT 'S' NOT NULL
		CONSTRAINT CKC_IDATIVO_ITLANCPROCESSA CHECK (IDATIVO IN ('S','N')),
    DTINCLUSAO          DATE 			DEFAULT SYSDATE,
    DTULTATU            DATE 			DEFAULT SYSDATE,
    NRORGINCLUSAO       NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
    CDOPERINCLUSAO      VARCHAR2(12) 	DEFAULT '1',
    NRORGULTATU         NUMBER 			DEFAULT SYS_CONTEXT('nrorg_ctx','nrorg') NULL,
    CDOPERULTATU        VARCHAR2(12)	DEFAULT '1',
		CONSTRAINT PK_ITLANCPROCESSA PRIMARY KEY (CDFILIAL, NRLANCPROCESSA, CDPRODUTO)
)
/

CREATE INDEX EST00631_FK ON ITLANCPROCESSA (CDFILIAL ASC, NRLANCPROCESSA ASC)
/

ALTER TABLE ITLANCPROCESSA ADD CONSTRAINT FKEST00631ITLANCPROCESSA FOREIGN KEY (CDFILIAL, NRLANCPROCESSA)
	REFERENCES LANCPROCESSA (CDFILIAL, NRLANCPROCESSA) ON DELETE CASCADE
/ 